[PATCH 6/8] perf test: Add target workload test in perf record tests

From: Namhyung Kim
Date: Thu Oct 20 2022 - 13:27:14 EST


Add a subtest which profiles the given workload on the command line.
As it's a minimal requirement, test should run ok so it doesn't skip
the test even if it failed to run the perf record.

Signed-off-by: Namhyung Kim <namhyung@xxxxxxxxxx>
---
tools/perf/tests/shell/record.sh | 18 ++++++++++++++++++
1 file changed, 18 insertions(+)

diff --git a/tools/perf/tests/shell/record.sh b/tools/perf/tests/shell/record.sh
index 345764afb745..c59d1459c960 100755
--- a/tools/perf/tests/shell/record.sh
+++ b/tools/perf/tests/shell/record.sh
@@ -174,11 +174,29 @@ test_system_wide() {
echo "Basic --system-wide mode test [Success]"
}

+test_workload() {
+ echo "Basic target workload test"
+ if ! perf record -o "${perfdata}" ${testprog} 2> /dev/null
+ then
+ echo "Workload record [Failed record]"
+ err=1
+ return
+ fi
+ if ! perf report -i "${perfdata}" -q | grep -q "${testsym}"
+ then
+ echo "Workload record [Failed missing output]"
+ err=1
+ return
+ fi
+ echo "Basic target workload test [Success]"
+}
+
build_test_program

test_per_thread
test_register_capture
test_system_wide
+test_workload

cleanup
exit $err
--
2.38.0.135.g90850a2211-goog